# Set Registered Model Alias

`PUT /api/2.1/unity-catalog/models/{full_name_arg}/aliases/{alias_arg}`

Set an alias on the specified registered model.

 The caller must be a metastore admin or an owner of the registered model.
 For the latter case, the caller must also be the owner or have the **USE_CATALOG**
 privilege on the parent catalog and the **USE_SCHEMA** privilege on the parent schema.

API scopes: unity-catalog

## Path parameters

- `full_name_arg` (string, optional)
  The three-level (fully qualified) name of the registered model
- `alias_arg` (string, optional)
  The name of the alias

## Request body

- `version_num` (int64, optional)
  The version number of the model version to which the alias points

## Returns

- `alias_name` (string, optional)
  Name of the alias, e.g. 'champion' or 'latest_stable'
- `version_num` (int64, optional)
  Integer version number of the model version to which this alias points.
- `id` (string, optional)
  The unique identifier of the alias
- `model_name` (string, optional)
  The name of the parent registered model of the model version, relative to parent schema
- `catalog_name` (string, optional)
  The name of the catalog containing the model version
- `schema_name` (string, optional)
  The name of the schema containing the model version, relative to parent catalog

## Response

```json
{
  "alias_name": "string",
  "version_num": 0,
  "id": "string",
  "model_name": "string",
  "catalog_name": "string",
  "schema_name": "string"
}
```

